WITH ultimos_movimentos_cheque AS (
	SELECT	tf.id_titulo_financeiro,
		MAX(id_movimento_cheque) AS id_movimento_cheque
	FROM	titulo_financeiro AS tf
		INNER JOIN movimento_cheque AS mc ON (mc.id_titulo_financeiro = tf.id_titulo_financeiro)
	WHERE	tf.natureza_titulo IN (204, 205)
	AND	tf.id_empresa IN (:IdEmpresaMultSlc)
	AND	tf.data_emissao <= :Data
	AND	mc.data_movimento <= :Data
	AND	mc.confirmado = 'S'
	GROUP BY tf.id_titulo_financeiro)

SELECT	SUM(tf.valor_titulo) AS cheque_devolvidos
FROM	ultimos_movimentos_cheque AS a
	INNER JOIN titulo_financeiro AS tf ON (tf.id_titulo_financeiro = a.id_titulo_financeiro)
	INNER JOIN movimento_cheque AS mc ON (mc.id_movimento_cheque = a.id_movimento_cheque)
WHERE	mc.tipo_movimento = 3